> ## Documentation Index
> Fetch the complete documentation index at: https://gogs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List forks



## OpenAPI

````yaml GET /repos/{owner}/{repo}/forks
openapi: 3.0.3
info:
  title: Gogs API
  version: v1
  description: >-
    RESTful API for interacting with your Gogs instance. Follows a format
    similar to the GitHub REST API v3.
servers:
  - url: https://gogs.example.com/api/v1
security:
  - AccessToken: []
tags:
  - name: Repositories
    description: Create, search, and manage repositories, branches, commits, and contents
  - name: Collaborators and Deploy Keys
    description: Manage repository collaborators and deploy keys
  - name: Releases
    description: List repository releases
  - name: Webhooks
    description: Create, edit, and delete repository webhooks
  - name: Issues
    description: Manage issues, comments, labels, and milestones
  - name: Users
    description: Search users, manage access tokens, emails, followers, and public keys
  - name: Organizations
    description: Manage organizations, members, and teams
  - name: Administration
    description: Site administration endpoints (requires admin privileges)
  - name: Miscellaneous
    description: Markdown rendering and Git data endpoints
paths:
  /repos/{owner}/{repo}/forks:
    get:
      tags:
        - Repositories
      summary: List forks
      operationId: listForks
      parameters:
        - name: owner
          in: path
          required: true
          schema:
            type: string
          description: Owner of the repository
        - name: repo
          in: path
          required: true
          schema:
            type: string
          description: Name of the repository
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Repository'
        '404':
          description: Repository not found.
components:
  schemas:
    Repository:
      type: object
      properties:
        id:
          type: integer
        owner:
          $ref: '#/components/schemas/User'
        name:
          type: string
        full_name:
          type: string
        description:
          type: string
        private:
          type: boolean
        fork:
          type: boolean
        parent:
          $ref: '#/components/schemas/Repository'
          nullable: true
          description: Present when fork is true
        empty:
          type: boolean
        mirror:
          type: boolean
        size:
          type: integer
        html_url:
          type: string
        ssh_url:
          type: string
        clone_url:
          type: string
        website:
          type: string
        stars_count:
          type: integer
        forks_count:
          type: integer
        watchers_count:
          type: integer
        open_issues_count:
          type: integer
        default_branch:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        permissions:
          type: object
          properties:
            admin:
              type: boolean
            push:
              type: boolean
            pull:
              type: boolean
    User:
      type: object
      properties:
        id:
          type: integer
        username:
          type: string
        login:
          type: string
          description: Alias of username for GitHub API compatibility
        full_name:
          type: string
        email:
          type: string
          format: email
        avatar_url:
          type: string
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: Authorization
      description: 'Personal access token. Use format: token {YOUR_ACCESS_TOKEN}'

````